### Method

# Ide TreeNode get_reset_on_collapse

#### Declaration

    gboolean
    ide_tree_node_get_reset_on_collapse (
      IdeTreeNode* self
    )

#### Description

Checks if the node should have all children removed when collapsed.

Available since: | 3.32

Gets property | `Ide.TreeNode:reset-on-collapse`

#### Return value

Returns: | `gboolean`
| `TRUE` if children are removed on collapse.